<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="lyap">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>lyap</refname>
    <refpurpose> Lyapunov equation</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>[X]=lyap(A,C,'c')
[X]=lyap(A,C,'d')</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>A, C</term>
        <listitem>
          <para>real square matrices, <literal>C</literal> must be symmetric</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>X = lyap(A,C,flag)</literal> solves the continuous time or
    discrete time matrix Lyapunov matrix equation:</para>
    <programlisting role = ""><![CDATA[ 
A'*X + X*A = C       ( flag='c' )
A'*X*A - X = C       ( flag='d' )
 ]]></programlisting>
    <para>
Note that a unique solution exist if and only if an eigenvalue of <literal>A</literal> is
not an eigenvalue of <literal>-A</literal> (<literal>flag='c'</literal>)  or 1 over an eigenvalue of <literal>A</literal> 
(<literal>flag='d'</literal>).</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
A=rand(4,4);C=rand(A);C=C+C';
X=lyap(A,C,'c');
A'*X + X*A -C
X=lyap(A,C,'d');
A'*X*A - X -C
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="sylv">sylv</link>
      </member>
      <member>
        <link linkend="ctr_gram">ctr_gram</link>
      </member>
      <member>
        <link linkend="obs_gram">obs_gram</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
